#! /usr/bin/env bash

if [ -z "$1" -o -z "$2" ]; then
    echo "Usage: $0 first_page last_page" >&2; exit 1
fi

for num in "$1" "$2"; do
    if ! echo "$num" | grep -q '^[0-9]\+$'; then
        echo "Usage: $0 first_page last_page" >&2; exit 1
    fi
done

cookies="$(realpath "$(dirname "$0")")/cookies-4plebs-org.txt"

if [ ! -e "$cookies" ]; then
    echo "Cookie jar not found: $cookies" >&2; exit 1
fi

user_agent="Mozilla/5.0 (X11; Linux x86_64; rv:109.0) Gecko/20100101 Firefox/115.0"

# 6 requests per mintue = 1 request per 10s
rate='6/m'

url="https://archive.4plebs.org/_/api/chan/index/?board=hr&page=[${1}-${2}]"

if [ ! -e pages ]; then
    mkdir pages
fi

curl --fail --fail-early --rate "$rate" -A "$user_agent" -b "$cookies" -c "$cookies" -o 'pages/page_#1.json' "$url"
